DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# GeneralConvolution

Genaral convolution filter

## SYNOPSIS

`#include "dip_linear.h"`

dip_Error dip_GeneralConvolution ( in, psf, out, boundary )

## DATA TYPES

integer, float, complex

## FUNCTION

This function convolves the `in` image with the point spread function `psf`, directly in the spatial domain. If the kernel `psf` is separable, use the function `SeparableConvolution` instead. If `psf` is large (and not separable), use the function `ConvolveFT` instead.

If the image `psf` is even in size, the origin is taken as the pixel to the right of the middle.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `psf` | Psf image
`dip_Image` | `out` | Output image
`dip_BoundaryArray` | `boundary` | Boundary conditions

## SEE ALSO

General information about convolution

`SeparableConvolution`, `ConvolveFT`, `Uniform`